#
# spec file for package libnjb
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libnjb
Version:        2.2.7
Release:        112.5
Summary:        Nomad Jukebox API
License:        BSD-3-Clause
Group:          Development/Libraries/Other
URL:            http://libnjb.sourceforge.net
Source:         %{name}-%{version}.tar.gz
Patch0:         libnjb-no_m4_dir.diff
BuildRequires:  libtool
BuildRequires:  libusb-devel
BuildRequires:  zlib-devel
Requires:       dbus-1

%description
Nomad Jukebox API

%package -n libnjb5
Summary:        Nomad Jukebox API
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description -n libnjb5
Nomad Jukebox API

%package devel
Summary:        Nomad Jukebox API
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       libusb-devel

%description devel
Nomad Jukebox API

%prep
%autosetup -p0

%build
autoreconf -fiv
%configure --program-prefix=njb- --disable-static --with-pic
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libnjb5 -p /sbin/ldconfig
%postun -n libnjb5 -p /sbin/ldconfig

%files
%license LICENSE
%doc AUTHORS FAQ README
%{_bindir}/njb-*

%files -n libnjb5
%{_libdir}/libnjb.so.*

%files devel
%{_libdir}/libnjb.so
%{_includedir}/libnjb.h
%{_libdir}/pkgconfig/libnjb.pc

%changelog
* Thu Feb 29 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Jun 23 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Clean spec-file using spec-cleaner; mainly move LICENSE from %%doc
  to %%license (boo#1082318).
* Thu May  2 2013 p.drouand@gmail.com
- Removed AC_CONFIG_MACRO_DIR([m4]) from configure.ac to fix
  build with new automake
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Aug 26 2011 anixx@opensuse.org
- update version to 2.2.7
- remove dependency on HAL
